// filefindDlg.h : header file
//

#pragma once
#include "afxwin.h"
#include <map>
#include <string>

// CfilefindDlg dialog
class CfilefindDlg : public CDialog
{
// Construction
public:
	CfilefindDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_FILEFIND_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedOk();
public:
	CListBox m_FileListBox;
public:
	CListBox m_FileHashNumberList;

	std::map< unsigned long, std::string > m_Container;
public:
	afx_msg void OnBnClickedFind();
};
